# use another module in this directory
from fattoriale import fatt

# binomial calculation: suppose 0 <= k <= n

def binom(n, k):
	return fatt(n) / fatt(k) / fatt(n - k)


# to execute the program we need to provide a specific section
#
if __name__ == "__main__":

	# to return success (0) or failure (1) to the caller
	import sys


	n = int(input("Inserisci n: "))
	k = int(input("Inserisci k: "))

	if k > n:
		print("n deve essere maggiore o uguale a k!")
		sys.exit(1) # failure
	else:
		print("C(", n , ",", k, ") =" , binom(n, k))
		sys.exit(0) # ok




