# This function finds the integer value value inside the vector

def search(vector, value):
	size = len(vector)
	minidx = 0
	cyclecnt = 0
	maxidx = size - 1

	# important! test with <= , < is not enough
	while minidx <= maxidx:
		cyclecnt = cyclecnt + 1
		# calculate the middle index
		middleidx = (minidx + maxidx) // 2
		# look for the value in the middle index
		if vector[middleidx] == value:
	
			# note: in Python 2.x print used to work without braces
			print('Found ',  value,  ' at index ', middleidx, 'cycle ', cyclecnt)
			# done, leave the loop
			break 
		else:
			# next cycle, 
			if vector[middleidx] < value:
				minidx = middleidx + 1
			else:
				maxidx = middleidx - 1

	
# by adding this code at the end of your module you can make the file usable as a script as well as an 
# importable module, because the code that parses the command line only runs if the module is executed as the “main” file.

# If the module is imported, the code is not run.

if __name__ == "__main__":
	
	# define a vector aimed at containing integers:
	vect = []
	# ask the user the vector of integers
	v_in = input("Inserisci gli elementi del vettore, separati da spazi")
	string_vector = v_in.split(' ')
	for i in range(0, len(string_vector)):
		vect.append(int(string_vector[i]))

	# ask the user the value to look for:
	value = int(input("Inserisci il valore da cercare: "))

	print("Searching ", value, " inside ", vect)

	# ready to call search()
	# call the function. Note that the argument name in the invocation hasn't to be the same as the parameter name
	search(vect, value)
		
