# The def statement makes new functions. Creates a function object and assigns it to
# variable 'search'. Each call to the function generates a new, local scope, where 
# assigned names are local to the function call by default.
#
# Arguments are passed by object reference (see function exercise)
#
# 'vett' and 'val' are the formal parameters

def search(vett, val):
	
	# boolean 
	found = False
	# index in vector used in search. NOTE: index starts from 0
	index = 0
	# length of the passed vector
	size = len(vett)


	# NOTE: index < size, NOT index <= size!  ==> range is from 0 to size - 1, as in C language
	while index < size:
		if vett[index] == val:
			found = True
			# leave loop to speed up computation
			break
			
		# don't forget to increment index!
		index = index + 1
	
	if found:
		print("Trovato", val, "in posizione", index)
	else:
		print("Valore", val , "non trovato")


